Package org.apache.cxf.bus.spring

## Class Jsr250BeanPostProcessor

- java.lang.Object
- - org.apache.cxf.bus.spring.Jsr250BeanPostProcessor

- All Implemented Interfaces:
    `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.config.BeanPostProcessor`, `org.springframework.beans.factory.config.DestructionAwareBeanPostProcessor`, `org.springframework.context.ApplicationContextAware`, `org.springframework.core.Ordered`

      public class Jsr250BeanPostProcessor
      extends Object
      implements org.springframework.beans.factory.config.DestructionAwareBeanPostProcessor, org.springframework.core.Ordered, org.springframework.context.ApplicationContextAware

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getOrder()` |
    `Object` | `postProcessAfterInitialization​(Object bean, String beanId)` |
    `void` | `postProcessBeforeDestruction​(Object bean, String beanId)` |
    `Object` | `postProcessBeforeInitialization​(Object bean, String beanId)` |
    `boolean` | `requiresDestruction​(Object bean)` |
    `void` | `setApplicationContext​(org.springframework.context.ApplicationContext applicationContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setApplicationContext

          public void setApplicationContext​(org.springframework.context.ApplicationContext applicationContext)

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`

    - #### getOrder

          public int getOrder()

      Specified by:
        `getOrder` in interface `org.springframework.core.Ordered`

    - #### postProcessAfterInitialization

          public Object postProcessAfterInitialization​(Object bean,
                                                       String beanId)

      Specified by:
        `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`

    - #### postProcessBeforeInitialization

          public Object postProcessBeforeInitialization​(Object bean,
                                                        String beanId)

      Specified by:
        `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`

    - #### postProcessBeforeDestruction

          public void postProcessBeforeDestruction​(Object bean,
                                                   String beanId)

      Specified by:
        `postProcessBeforeDestruction` in interface `org.springframework.beans.factory.config.DestructionAwareBeanPostProcessor`

    - #### requiresDestruction

          public boolean requiresDestruction​(Object bean)

      Specified by:
        `requiresDestruction` in interface `org.springframework.beans.factory.config.DestructionAwareBeanPostProcessor`